DOM::HTMLMetaElement class Reference (khtml Library)

| # khtml Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# DOM::HTMLMetaElement Class Reference

This contains generic meta-information about the document. More...

`#include <html_head.h>`

Inheritance diagram for DOM::HTMLMetaElement:

[legend]
Collaboration diagram for DOM::HTMLMetaElement:

[legend]
List of all members.

## Public Member Functions
| HTMLMetaElement (const HTMLMetaElement &other)
| HTMLMetaElement (const Node &other)
HTMLMetaElement & | operator= (const HTMLMetaElement &other)
HTMLMetaElement & | operator= (const Node &other)
DOMString | content () const
| Associated information.
void | setContent (const DOMString &)
| see content
DOMString | httpEquiv () const
| HTTP response header name.
void | setHttpEquiv (const DOMString &)
| see httpEquiv
DOMString | name () const
| Meta information name.
void | setName (const DOMString &)
| see name
DOMString | scheme () const
| Select form of content.
void | setScheme (const DOMString &)
| see scheme
## Protected Member Functions
| HTMLMetaElement (HTMLMetaElementImpl *impl)

## Detailed Description

This contains generic meta-information about the document.

See the META element definition in HTML 4.0.

Definition at line 257 of file html_head.h.

## Member Function Documentation

DOMString HTMLMetaElement::content | ( |  | ) | const

| Associated information. See the content attribute definition in HTML 4.0. Definition at line 250 of file html_head.cpp.

void HTMLMetaElement::setContent | ( | const DOMString & |  | ) |

| see content Definition at line 256 of file html_head.cpp.

DOMString HTMLMetaElement::httpEquiv | ( |  | ) | const

| HTTP response header name. See the http-equiv attribute definition in HTML 4.0. Definition at line 261 of file html_head.cpp.

void HTMLMetaElement::setHttpEquiv | ( | const DOMString & |  | ) |

| see httpEquiv Definition at line 267 of file html_head.cpp.

DOMString HTMLMetaElement::name | ( |  | ) | const

| Meta information name. See the name attribute definition in HTML 4.0. Definition at line 272 of file html_head.cpp.

void HTMLMetaElement::setName | ( | const DOMString & |  | ) |

| see name Definition at line 278 of file html_head.cpp.

DOMString HTMLMetaElement::scheme | ( |  | ) | const

| Select form of content. See the scheme attribute definition in HTML 4.0. Definition at line 283 of file html_head.cpp.

void HTMLMetaElement::setScheme | ( | const DOMString & |  | ) |

| see scheme Definition at line 289 of file html_head.cpp.

The documentation for this class was generated from the following files:

- html_head.h
- html_head.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:38:17 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001